<?php
define('WP_INSTALLING', true);
//These two defines are required to allow us to use require_wp_db() to load the database class while being wp-content/wp-db.php aware
define('ABSPATH', dirname(dirname(__FILE__)).'/');
define('WPINC', 'wp-includes');

require_once('../wp-includes/compat.php');
require_once('../wp-includes/functions.php');
require_once('../wp-includes/classes.php');

if (!file_exists('../wp-config-sample.php'))
	wp_die('WordPress braucht die Datei wp-config-sample.php zur Installation. Bitte laden Sie die Datei ins WordPress-Verzeichnis neu hoch.');

$configFile = file('../wp-config-sample.php');

if ( !is_writable('../'))
	wp_die("WordPress kann leider nicht ins Verzeichnis schreiben. Um fortzufahren, m&uuml;ssen Sie Rechte des WordPress-Verzeichnisses richtig setzen oder die Datei <code>wp-config.php</code> manuell anlegen.");


// Check if wp-config.php has been created
if (file_exists('../wp-config.php'))
	wp_die("<p>Die Datei <code>wp-config.php</code> existiert bereits. Falls Sie die Datei zur&uuml;cksetzen m&ouml;chten, l&ouml;schen Sie sie bitte zun&auml;chst. Wenn Sie die bestehende Datei zur Installation verwenden m&ouml;chten, <a href='install.php'>fahren Sie nun mit der Installationsroutine fort.</a>.</p>");

if (isset($_GET['step']))
	$step = $_GET['step'];
else
	$step = 0;

function display_header(){
	header( 'Content-Type: text/html; charset=utf-8' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>WordPress &rsaquo; Setup Configuration File</title>
<link rel="stylesheet" href="<?php echo $admin_dir; ?>css/install.css" type="text/css" />

</head>
<body>
<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
<?php
}//end function display_header();

switch($step) {
	case 0:
		display_header();
?>

<p>Willkommen bei WordPress. Es kann gleich mit der Installation losgehen, jedoch braucht WordPress noch einige Informationen:</p>
<ol>
	<li>den Datenbanknamen</li>
	<li>den Benutzernamen f&uuml;r die Datenbank</li>
	<li>das Passwort</li>
	<li>den Datenbankserver</li>
	<li>sowie das Tabellenpr&auml;fix (wenn Sie mehrere WordPress-Installationen in eine Datenbank halten wollen).</li>
</ol>
<p><strong>Sollte das automatische Erstellen der Konfigurationsdatei fehlschlagen, so ist das kein Problem. Es wird nicht gemacht, au&szlig;er dass die Datenbank-Informationen in die Datei geschrieben werden. Sie k&ouml;nnen auch einfach die Datei <code>wp-config-sample.php</code> in einem Texteditor &ouml;ffnen, die Datenbank-Informationen eingeben und die Datei als <code>wp-config.php</code> speichern.</strong></p>
<p>Die Datenbank-Informationen wurden Ihnen aller Wahrscheinlichkeit nach von Ihrem Hosting-Anbieter bereitgestellt. Falls Sie diese Informationen nicht haben, m&uuml;ssen Sie sie erfragen, bevor Sie fortfahren k&ouml;nnen. Wenn Sie soweit sind, <a href="setup-config.php?step=1">kann es losgehen</a>!</p>

<?php
	break;

	case 1:
		display_header();
	?>
<form method="post" action="setup-config.php?step=2">
	<p>Geben Sie im Folgenden die Verbindungsdaten Ihrer Datenbank ein. Falls Sie nicht sicher sind, wenden Sie sich bitte an Ihren Hosting-Anbieter.</p>
	<table class="form-table">
		<tr>
			<th scope="row">Datenbankname</th>
			<td><input name="dbname" type="text" size="25" value="wordpress" /></td>
			<td>Der Name der Datenbank, in der die WordPress-Daten liegen werden.</td>
		</tr>
		<tr>
			<th scope="row">Benutzername</th>
			<td><input name="uname" type="text" size="25" value="username" /></td>
			<td>Ihr MySQL-Benutzername</td>
		</tr>
		<tr>
			<th scope="row">Passwort</th>
			<td><input name="pwd" type="text" size="25" value="password" /></td>
			<td>Ihr MySQL-Passwort</td>
		</tr>
		<tr>
			<th scope="row">Datenbankserver</th>
			<td><input name="dbhost" type="text" size="25" value="localhost" /></td>
			<td>Diesen Wert werden Sie vermutlich nicht &auml;ndern m&uuml;ssen.</td>
		</tr>
		<tr>
			<th scope="row">Tabellenpr&auml;fix</th>
			<td><input name="prefix" type="text" id="prefix" value="wp_" size="25" /></td>
			<td>Falls Sie mehrere WordPress-Installationen in eine Datenbank legen m&ouml;chten.</td>
		</tr>
	</table>
	<h2 class="step">
	<input name="submit" type="submit" value="Senden" class="button" />
	</h2>
</form>

<?php
	break;

	case 2:
	$dbname  = trim($_POST['dbname']);
	$uname   = trim($_POST['uname']);
	$passwrd = trim($_POST['pwd']);
	$dbhost  = trim($_POST['dbhost']);
	$prefix  = trim($_POST['prefix']);
	if (empty($prefix)) $prefix = 'wp_';

	// Test the db connection.
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);

	// We'll fail here if the values are no good.
	require_wp_db();
	if ( !empty($wpdb->error) )
		wp_die($wpdb->error->get_error_message());

	$handle = fopen('../wp-config.php', 'w');

	foreach ($configFile as $line_num => $line) {
		switch (substr($line,0,16)) {
			case "define('DB_NAME'":
				fwrite($handle, str_replace("putyourdbnamehere", $dbname, $line));
				break;
			case "define('DB_USER'":
				fwrite($handle, str_replace("'usernamehere'", "'$uname'", $line));
				break;
			case "define('DB_PASSW":
				fwrite($handle, str_replace("'yourpasswordhere'", "'$passwrd'", $line));
				break;
			case "define('DB_HOST'":
				fwrite($handle, str_replace("localhost", $dbhost, $line));
				break;
			case '$table_prefix  =':
				fwrite($handle, str_replace('wp_', $prefix, $line));
				break;
			default:
				fwrite($handle, $line);
		}
	}
	fclose($handle);
	chmod('../wp-config.php', 0666);

	display_header();
?>
<p>Sehr gut! Dieser Teil der Installation ist abgeschlossen. WordPress kann nun Verbindung mit Ihrer Datenbank aufnehmen. Wenn Sie soweit sind, kann es <a href="install.php">mit der eigentlichen Installation losgehen</a>!</p>

<p><a href="install.php" class="button">Installation starten</a></p>
<?php
	break;
}
?>
</body>
</html>
